model custom
    extends Maplesoft.Icons.CustomComponent;
    parameter Real J = .1 "J";
    parameter Real b = .1 "b";
    parameter Real K = .1e-1 "K";
    parameter Real R = 1 "R";
    parameter Real L = .5 "L";
    parameter Real Ks = 0 "Ks";
    Real i(start = 0);
    Real tau(start = 0);
    Real vn(start = 0);
    Real vp(start = 0);
    Real dtheta(start = 0);
    Real theta(start = 2);
    Modelica.Electrical.Analog.Interfaces.PositivePin pos_pin annotation (Placement(transformation(
        extent = {
            {-110, 40},
            {-90, 60}},
        rotation = 0)));
    Modelica.Electrical.Analog.Interfaces.NegativePin neg_pin annotation (Placement(transformation(
        extent = {
            {-110, -60},
            {-90, -40}},
        rotation = 0)));
    Modelica.Mechanics.Rotational.Interfaces.Flange_a rflange annotation (Placement(transformation(
        extent = {
            {90, -10},
            {110, 10}},
        rotation = 0)));
equation
    dtheta = der(theta);
    L * der(i) + R * i = vp - vn - K * dtheta;
    J * der(dtheta) + b * dtheta + Ks * theta = tau + K * i;
    neg_pin.i = -i;
    neg_pin.v = vn;
    pos_pin.i = i;
    pos_pin.v = vp;
    rflange.phi = theta;
    rflange.tau = tau;
    annotation (uses(Modelica(version = "3.1")));
end custom;